# $Revision: 1.35.2.2 $, $Date: 2007/04/01 17:55:15 $
%define		_doc_version	2.6.14
%include	/usr/lib/rpm/macros.php
Summary:	Template engine for PHP
Summary(pl):	System szablonw dla PHP
Name:		Smarty
Version:	2.6.18
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://smarty.php.net/distributions/%{name}-%{version}.tar.gz
# Source0-md5:	cd9b9c78b43c0d0490b71111b2fe1a99
Source1:	http://smarty.php.net/distributions/manual/en/%{name}-%{_doc_version}-docs.tar.gz
# Source1-md5:	357510250885aab057853949e35845c7
Source2:	%{name}-function.html_input_image.php
URL:		http://smarty.php.net/
BuildRequires:	rpm-php-pearprov >= 4.3
Requires:	php-common
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_smartydir	%{_datadir}/php/Smarty

%description
Smarty is a template engine for PHP. Smarty provides your basic
variable substitution and dynamic block functionality, and also takes
a step further to be a "smart" template engine, adding features such
as configuration files, template functions, variable modifiers, and
making all of this functionality as easy as possible to use for both
programmers and template designers.

%description -l pl
Smarty jest systemem szablonw dla PHP. Pozwala na podstawowe
podstawianie wartoci zmiennych oraz dynamiczne operacje na blokach;
idzie o krok dalej, aby by "mdrym" silnikiem szablonw, dodajc
takie moliwoci jak pliki konfiguracyjne, funkcje, zmienne
modyfikatory oraz czynic ca funkcjonalno jak najatwiejsz w
uyciu jednoczenie dla programistw i projektantw szablonw.

%package doc
Summary:	Template engine for PHP - documentation
Summary(pl):	System szablonw dla PHP - dokumentacja
Version:	%{_doc_version}
Group:		Development/Languages/PHP

%description doc
Documentation for Smarty template engine.

%description doc -l pl
Dokumentacja do systemu szablonw Smarty.

%prep
%setup -q -a 1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_smartydir}/{internals,plugins},%{php_pear_dir}}

install libs/{Config_File,Smarty{,_Compiler}}.class.php $RPM_BUILD_ROOT%{_smartydir}
install libs/debug.tpl $RPM_BUILD_ROOT%{_smartydir}
install libs/internals/*.php $RPM_BUILD_ROOT%{_smartydir}/internals
install libs/plugins/*.php $RPM_BUILD_ROOT%{_smartydir}/plugins
install %{SOURCE2} $RPM_BUILD_ROOT%{_smartydir}/plugins/function.html_input_image.php

# backards compatible
ln -s %{_smartydir} $RPM_BUILD_ROOT%{php_pear_dir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

# make compat symlink, the symlink is discarded using %ghost on package uninstall
%triggerpostun -- Smarty < 2.6.10-4
if [ -d %{php_pear_dir}/%{name}/plugins ]; then
	mv %{php_pear_dir}/%{name}/plugins/* %{_smartydir}/plugins
	rmdir %{php_pear_dir}/%{name}/plugins 2>/dev/null
fi
rmdir %{php_pear_dir}/%{name} 2>/dev/null || mv -v %{php_pear_dir}/%{name}{,.rpmsave}
ln -s %{_smartydir} %{php_pear_dir}/%{name}

%post
[ -e %{php_pear_dir}/%{name} ] || ln -s %{_smartydir} %{php_pear_dir}/%{name}

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog FAQ INSTALL NEWS README RELEASE_NOTES TODO
%dir %{_smartydir}
%dir %{_smartydir}/internals
%dir %{_smartydir}/plugins
%{_smartydir}/*.class.php
%{_smartydir}/debug.tpl
%{_smartydir}/internals/*.php
%{_smartydir}/plugins/*.php

# for the sake of bc
%ghost %{php_pear_dir}/%{name}

%files doc
%defattr(644,root,root,755)
%doc manual/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Smarty.spec,v $
Revision 1.35.2.2  2007/04/01 17:55:15  glen
- rel 2

Revision 1.35.2.1  2007/04/01 17:52:14  glen
- 2.6.18

Revision 1.35  2006/12/26 15:59:44  prism
- up to 2.6.16

Revision 1.34  2006/06/22 22:33:45  shadzik
- fixed issue where the symlink wasn't created because we hadn't have an earlier version of Smarty installed (idea by sparky)
- rel++

Revision 1.33  2006/05/29 20:52:12  glen
- 2.6.14

Revision 1.32  2006/05/18 15:50:01  glen
- added function.html_input_image.php, rel 2

Revision 1.31  2006/05/17 15:46:06  glen
- 2.6.13

Revision 1.30  2006/02/06 15:13:01  glen
- Smarty 2.6.12 (operability fixes for latest PHP)
- smarty doc 2.6.11
- STBR

Revision 1.29  2005/10/26 14:12:57  glen
- fixed trigger match; rel 4

Revision 1.28  2005/10/26 13:54:33  glen
- Smarty has nothing to do with PEAR
- move Smarty out of PEAR dirs and kill PEAR dep (trigger included)
- rel 3

Revision 1.27  2005/09/18 09:33:51  glen
- require php-common instead of virtual "php" (virtual php means apache module)

Revision 1.26  2005/08/21 08:33:48  arekm
- update Smarty to 2.6.10 (docs 2.6.9)

Revision 1.25  2005/05/24 22:31:45  prism
- engine and docs updated to 2.6.9
- release 1

Revision 1.24  2005/03/30 16:34:27  adamg
- updated to 2.6.8
- docs updated to 2.6.7
- release 1

Revision 1.23  2005/02/25 16:42:56  agaran
- updated to 2.6.7 rel 0.9, STBR(test)

Revision 1.22  2004/10/14 09:11:11  zboczuch
- version 2.6.6
- doc version 2.6.5
- core classes moved from core to internals

Revision 1.21  2004/09/15 09:04:57  zboczuch
- doc version 2.6.4
- rel. 2

Revision 1.20  2004/09/15 09:02:33  zboczuch
- version 2.6.5

Revision 1.19  2004/06/25 06:53:48  zboczuch
- rel. 2

Revision 1.18  2004/06/25 06:53:09  zboczuch
- missing URL

Revision 1.17  2004/06/19 09:14:25  mkierus
- updated to 2.6.3

Revision 1.16  2004/03/24 13:04:45  undefine
- release 3 to allow upgrade from RA

Revision 1.15  2004/02/26 20:05:54  eothane
- up to 2.6.2

Revision 1.14  2004/02/02 12:11:39  mwinkler
- added missing dir core/

Revision 1.13  2004/01/22 17:04:02  eothane
- updated to 2.6.1 (_doc_version 2.6.0)

Revision 1.12  2003/11/30 17:29:07  adamg
- updated to 2.6.0

Revision 1.11  2003/08/19 13:45:30  qboosh
- _noautoreq is obsolete with current pearprov

Revision 1.10  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/15 08:08:51  djrzulf
- removed stupid dependency: pear(?)   jest wymagany przez Smarty-2.5.0-2
- hm, i think that it shuold be named php-pear-Smarty,

Revision 1.7  2003/04/15 03:58:25  baseciq
- added missing rpm macros
- new br: rpm-php-pearprov
- more macros and cleanups
- More info: see thread starting at <19110162698.20030415000951@netx.waw.pl>
  on pld-devel-pl mailing list

Revision 1.6  2003/04/12 22:53:46  baseciq
- temporary removed _doc_version

Revision 1.5  2003/04/12 22:49:58  baseciq
- updated for Smarty 2.5.0

Revision 1.4  2003/03/31 12:31:44  qboosh
- removed COPYING.lib from doc (just LGPL)

Revision 1.3  2003/03/27 22:03:49  qboosh
- cleanups, little longer pl description

Revision 1.2  2003/03/17 21:13:33  adamg
- small typo fixed
- removed Vendor line - rulez.pl is not vendor for this package.

Revision 1.1  2003/02/22 00:00:36  baseciq
- new
